var system = require("../../../system")
var settings = require("../../../../config/settings");
const CtlBase = require("../../ctl.base");
var cacheBaseComp = null;
class MainInfoCtl extends CtlBase {
  constructor() {
    super("configmag", CtlBase.getServiceName(MainInfoCtl));
  }
  async create(pobj, qobj, req) {
    pobj.company_id = req && req.xctx && req.xctx.companyid ?req.xctx.companyid : "";
    const up = await this.service.create(pobj);
    return up;
  }

    async refQuery(pobj, qobj, req) {
        pobj.refwhere.company_id = pobj.company_id;
        let rtn = await this.service.refQuery(pobj);
        return rtn;
    }

    async update(pobj, qobj, req) {
      const up = await this.service.update(pobj);
      return up;
    }
  
    async delete(pobj, qobj, req) {
      const up = await this.service.delete(pobj);
      return up;
    }
}
module.exports = MainInfoCtl;
